MENU_ITEMS(3)

NAME
item_count, menu_items, set_menu_items - menu library

LIBRARY
libmenu

SYNOPSIS
#include <menu.h>
int
item_count(MENU *menu);
ITEMS **
menu_items(MENU *menu);
int
set_menu_items(MENU *menu, ITEM **items);

DESCRIPTION
The item_count() menu function returns the number of items currently attached to the menu passed. The menu_items() function returns a pointer to an array of item pointers that represent the menu items currently attached to the given menu. Apart from using new_menu menu items may be attached to a menu by calling set_menu_items() any items currently attached to the menu will be detached and the NULL terminated array of new items will be attached to the menu.

RETURN VALUES
Any function returning a string pointer will return NULL if an error occurs. Functions returning an integer will return one of the following:

E_OK			The function was successful
E_POSTED		The menu is already posted.
E_CONNECTED		An item was already connected to a menu.

SEE ALSO
curses(3), menus(3)

NOTES
The header <menus.h> automatically includes both <curses.h> and <eti.h>